## xlockmore 5.31-1

=== Makefile ===
############################################################
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

SUBDIRS = xlock modes/glx modes xmlock xglock

MAKE_SUBDIR = for dir in $(SUBDIRS) ; do ( cd $$dir ; $(MAKE) $@ ) ; done
# convenient not to use configure just to clean
MAKEIN_SUBDIR = for dir in $(SUBDIRS) ; do ( cd $$dir ; sed s/#/\#/ Makefile.in > Makefile ; $(MAKE) $@ ) ; done

all :
	@$(MAKE_SUBDIR)

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

srcdir = .
top_srcdir = .


TAR = tar
RM = rm -f

VER = xlockmore
AUTOMAKE=/usr/share/automake-1.11

install :
	@$(MAKE_SUBDIR)

install-program :
	@$(MAKE_SUBDIR)

install-man :
	@$(MAKE_SUBDIR)

install-ad :
	@$(MAKE_SUBDIR)

uninstall :
	@$(MAKE_SUBDIR)

uninstall-program :
	@$(MAKE_SUBDIR)

uninstall-man :
	@$(MAKE_SUBDIR)

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

depend :
	@$(MAKE_SUBDIR)

distdepend :
	@$(MAKE_SUBDIR)

automake :
	cp -p ${AUTOMAKE}/config.guess .;\
	cp -p ${AUTOMAKE}/config.sub .;\
	cp -p ${AUTOMAKE}/install-sh .;\
	cp -p ${AUTOMAKE}/mkinstalldirs .

lint :
	@$(MAKE_SUBDIR)

antic :
	@$(MAKE_SUBDIR)

cppcheck :
	@$(MAKE_SUBDIR)

xrdb :
	@$(MAKE_SUBDIR)

man :
	@$(MAKE_SUBDIR)

html :
	@$(MAKE_SUBDIR)

hlp :
	@$(MAKE_SUBDIR)

clean :
	$(RM) core *~ *% *.bak *.orig *.rej make.log MakeOut *.patch
	@$(MAKE_SUBDIR)

distclean :
	@$(MAKEIN_SUBDIR)
	$(RM) core *~ *% *.bak *.orig *.rej make.log MakeOut *.patch
	$(RM) Makefile config.status* config.cache config.log config.h
	$(RM) xlock95.upx xlock95.scr
	rm -rf autom4te.cache
	cd etc/genlauncher ; make distclean
	$(RM) win32/*.o win32/*.res modes/gray1.xbm

Makefile : Makefile.in config.status
	$(SHELL) config.status
config.status : configure
	$(SHELL) config.status --recheck
#configure : configure.in
# enable this rule if you want autoconf to be executed automatically when
# configure.in is changed. This is commented out, since patching might give
# configure.in a newer timestamp than configure and not everybody has autoconf
#	cd $(srcdir); autoconf

clean.all : distclean

ostar : distclean
	cd .. ; $(TAR) -cvf $(VER).tar $(VER)/*

tar : distclean
	cd .. ; $(TAR) --exclude CVS -cvf $(VER).tar $(VER)/*

bzip2 : tar
	cd .. ; bzip2 -f $(VER).tar

gzip : tar
	cd .. ; gzip -best -f $(VER).tar

compress : tar
	cd .. ; compress -f $(VER).tar

dist : bzip2

tbz : tar
	cd .. ; bzip2 -c $(VER).tar > `echo $(VER) | cut -c1-8`.tbz ; \
$(RM) $(VER).tar

tgz : tar
	cd .. ; gzip -best -c $(VER).tar > `echo $(VER) | cut -c1-8`.tgz ; \
$(RM) $(VER).tar

read :
	more README

=== xlock/Makefile ===
# $Id : Makefile.in 5.24 2007/01/18 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ..

BITMAPDIR = $(top_srcdir)/bitmaps/
UTILDIR = $(top_srcdir)/xlock/
top_objdir = ../
UTILOBJDIR = ./

N=
O=.o
#O=.obj
C=.c
#C=.cc
S=$(N) $(N)
#S=,
E=
#E=.exe

DU = $(UTILDIR)
DOU = $(UTILOBJDIR)
OU = $(O)$(S)$(DOU)
CU = $(C) $(DU)

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code


# This debugging is new and is untested on many systems.
#CHECKDEF = -DDEBUG
#XLOCKCHECKOBJS = $(DOU)memcheck$(O)

# List of object files
XLOCKUTILOBJS = $(DOU)xlock$(OU)passwd$(OU)resource$(OU)parsecmd$(O)$(S)\
$(DOU)util$(OU)logout$(OU)mode$(OU)xlockimage$(OU)ras$(OU)xbm$(O)$(S)\
$(DOU)vis$(OU)visgl$(OU)color$(OU)random$(OU)iostuff$(OU)automata$(O)$(S)\
$(DOU)spline$(OU)sound$(OU)erase$(OU)magick$(O)$(S)\
$(DOU)vtlock$(OU)vtlock_proc$(O)$(S)$(XLOCKCHECKOBJS)

XLOCKCHECKSRCS = $(DU)memcheck$(C)

XLOCKUTILHDRS = xlock.h mode.h vroot.h xlockimage.h ras.h \
version.h config.h
XLOCKUTILSRCS = $(DU)xlock$(CU)passwd$(CU)resource$(CU)parsecmd$(C) \
$(DU)util$(CU)logout$(CU)mode$(CU)xlockimage$(CU)ras$(CU)xbm$(C) \
$(DU)vis$(CU)visgl$(CU)color$(CU)random$(CU)iostuff$(CU)automata$(C) \
$(DU)spline$(CU)sound$(CU)erase$(CU)magick$(C) \
$(DU)vtlock$(CU)vtlock_proc$(C) $(XLOCKCHECKSRCS)

# default target
all : $(XLOCKUTILOBJS)

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTPGMFLAGS = -s -g shadow -m 2111


#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEF_MODULEPATH = $(prefix)/lib/xlock_modules
#MODULEDEF = -DDEF_MODULEPATH=\"$(DEF_MODULEPATH)\"
DEFINES = -DDEF_FILESEARCHPATH=\"$(xapploaddir)/%N%C%S:$(xapploaddir)/%N%S\" $(MODULEDEF) $(CHECKDEF)
DEFS = -DHAVE_CONFIG_H $(DEFINES)
XLOCKINC = -I. -I.. -I$(top_srcdir)  -I/usr/include -I/usr/include -I/usr/include -I/usr/include
CFLAGS = -O2 -g
#CFLAGS = -O
#CFLAGS = -g

#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

.SUFFIXES : $(C) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CFLAGS) $<

install :

install-program :

install-man :

install-ad :

uninstall :

uninstall-program :

uninstall-man :

uninstall-ad :

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

lint :

antic :
	antic $(UTILDIR)*.h $(UTILDIR)*.c

cppcheck :
	cppcheck -f -q $(UTILDIR)*.c

xrdb :
	xrdb $(UTILDIR)XLock.ad

man :
	nroff -man $(UTILDIR)xlock.man | more

# man2html 3.0.1, changed psgz 10240 and txsz 10000
xlock.html : xlock.man
	nroff -c -man < xlock.man | man2html -title xlock > xlock.html

# found man2hlp.sh in lynx source
xlock.hlp : xlock.man
	man2hlp.sh xlock.man > xlock.hlp

html : xlock.html

hlp : xlock.hlp

clean :
	$(RM) *.o core *~ *% *.bak *.orig *.rej *.patch
	$(RM) make.log MakeOut memdiag.xlock-* Makefile.dep
	$(RM) xlock._man xlock.1.html
	$(RM) xlock xlock.exe

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKUTILSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package.
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKUTILSRCS) |                                                  \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@^\.\./xlock@$$(UTILOBJDIR)@'                            \
	      -e 's@\.\./bitmaps@$$(BITMAPDIR)@g' ;                         \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

$(UTILOBJDIR)/xlock.o: xlock.h
$(UTILOBJDIR)/xlock.o: $(top_objdir)/config.h
$(UTILOBJDIR)/xlock.o: mode.h
$(UTILOBJDIR)/xlock.o: random.h
$(UTILOBJDIR)/xlock.o: color.h
$(UTILOBJDIR)/xlock.o: util.h
$(UTILOBJDIR)/xlock.o: iostuff.h
$(UTILOBJDIR)/xlock.o: passwd.h
$(UTILOBJDIR)/xlock.o: $(BITMAPDIR)/mailempty.xbm
$(UTILOBJDIR)/xlock.o: $(BITMAPDIR)/mailfull.xbm
$(UTILOBJDIR)/xlock.o: vroot.h
$(UTILOBJDIR)/passwd.o: xlock.h
$(UTILOBJDIR)/passwd.o: $(top_objdir)/config.h
$(UTILOBJDIR)/passwd.o: mode.h
$(UTILOBJDIR)/passwd.o: random.h
$(UTILOBJDIR)/passwd.o: iostuff.h
$(UTILOBJDIR)/passwd.o: passwd.h
$(UTILOBJDIR)/resource.o: xlock.h
$(UTILOBJDIR)/resource.o: $(top_objdir)/config.h
$(UTILOBJDIR)/resource.o: mode.h
$(UTILOBJDIR)/resource.o: random.h
$(UTILOBJDIR)/resource.o: vis.h
$(UTILOBJDIR)/resource.o: visgl.h
$(UTILOBJDIR)/resource.o: iostuff.h
$(UTILOBJDIR)/resource.o: version.h
$(UTILOBJDIR)/util.o: xlock.h
$(UTILOBJDIR)/util.o: $(top_objdir)/config.h
$(UTILOBJDIR)/util.o: mode.h
$(UTILOBJDIR)/util.o: random.h
$(UTILOBJDIR)/util.o: util.h
$(UTILOBJDIR)/logout.o: xlock.h
$(UTILOBJDIR)/logout.o: $(top_objdir)/config.h
$(UTILOBJDIR)/logout.o: mode.h
$(UTILOBJDIR)/logout.o: random.h
$(UTILOBJDIR)/logout.o: iostuff.h
$(UTILOBJDIR)/mode.o: xlock.h
$(UTILOBJDIR)/mode.o: $(top_objdir)/config.h
$(UTILOBJDIR)/mode.o: mode.h
$(UTILOBJDIR)/mode.o: random.h
$(UTILOBJDIR)/xlockimage.o: xlock.h
$(UTILOBJDIR)/xlockimage.o: $(top_objdir)/config.h
$(UTILOBJDIR)/xlockimage.o: mode.h
$(UTILOBJDIR)/xlockimage.o: random.h
$(UTILOBJDIR)/xlockimage.o: iostuff.h
$(UTILOBJDIR)/xlockimage.o: xlockimage.h
$(UTILOBJDIR)/ras.o: xlock.h
$(UTILOBJDIR)/ras.o: $(top_objdir)/config.h
$(UTILOBJDIR)/ras.o: mode.h
$(UTILOBJDIR)/ras.o: random.h
$(UTILOBJDIR)/ras.o: iostuff.h
$(UTILOBJDIR)/ras.o: ras.h
$(UTILOBJDIR)/ras.o: xlockimage.h
$(UTILOBJDIR)/xbm.o: xlock.h
$(UTILOBJDIR)/xbm.o: $(top_objdir)/config.h
$(UTILOBJDIR)/xbm.o: mode.h
$(UTILOBJDIR)/xbm.o: random.h
$(UTILOBJDIR)/vis.o: xlock.h
$(UTILOBJDIR)/vis.o: $(top_objdir)/config.h
$(UTILOBJDIR)/vis.o: mode.h
$(UTILOBJDIR)/vis.o: random.h
$(UTILOBJDIR)/vis.o: vis.h
$(UTILOBJDIR)/vis.o: visgl.h
$(UTILOBJDIR)/visgl.o: xlock.h
$(UTILOBJDIR)/visgl.o: $(top_objdir)/config.h
$(UTILOBJDIR)/visgl.o: mode.h
$(UTILOBJDIR)/visgl.o: random.h
$(UTILOBJDIR)/visgl.o: visgl.h
$(UTILOBJDIR)/color.o: xlock.h
$(UTILOBJDIR)/color.o: $(top_objdir)/config.h
$(UTILOBJDIR)/color.o: mode.h
$(UTILOBJDIR)/color.o: random.h
$(UTILOBJDIR)/color.o: color.h
$(UTILOBJDIR)/color.o: vis.h
$(UTILOBJDIR)/color.o: visgl.h
$(UTILOBJDIR)/iostuff.o: xlock.h
$(UTILOBJDIR)/iostuff.o: $(top_objdir)/config.h
$(UTILOBJDIR)/iostuff.o: mode.h
$(UTILOBJDIR)/iostuff.o: random.h
$(UTILOBJDIR)/iostuff.o: vis.h
$(UTILOBJDIR)/iostuff.o: visgl.h
$(UTILOBJDIR)/iostuff.o: color.h
$(UTILOBJDIR)/iostuff.o: iostuff.h
$(UTILOBJDIR)/iostuff.o: ras.h
$(UTILOBJDIR)/iostuff.o: xlockimage.h
$(UTILOBJDIR)/automata.o: xlock.h
$(UTILOBJDIR)/automata.o: $(top_objdir)/config.h
$(UTILOBJDIR)/automata.o: mode.h
$(UTILOBJDIR)/automata.o: random.h
$(UTILOBJDIR)/automata.o: automata.h
$(UTILOBJDIR)/spline.o: xlock.h
$(UTILOBJDIR)/spline.o: $(top_objdir)/config.h
$(UTILOBJDIR)/spline.o: mode.h
$(UTILOBJDIR)/spline.o: random.h
$(UTILOBJDIR)/spline.o: spline.h
$(UTILOBJDIR)/sound.o: xlock.h
$(UTILOBJDIR)/sound.o: $(top_objdir)/config.h
$(UTILOBJDIR)/sound.o: mode.h
$(UTILOBJDIR)/sound.o: random.h
$(UTILOBJDIR)/erase.o: xlock.h
$(UTILOBJDIR)/erase.o: $(top_objdir)/config.h
$(UTILOBJDIR)/erase.o: mode.h
$(UTILOBJDIR)/erase.o: random.h
$(UTILOBJDIR)/erase.o: erase_init.h
$(UTILOBJDIR)/erase.o: erase.h
$(UTILOBJDIR)/erase.o: erase_debug.h
$(UTILOBJDIR)/vtlock.o: xlock.h
$(UTILOBJDIR)/vtlock.o: $(top_objdir)/config.h
$(UTILOBJDIR)/vtlock.o: mode.h
$(UTILOBJDIR)/vtlock.o: random.h
$(UTILOBJDIR)/vtlock_proc.o: xlock.h
$(UTILOBJDIR)/vtlock_proc.o: $(top_objdir)/config.h
$(UTILOBJDIR)/vtlock_proc.o: mode.h
$(UTILOBJDIR)/vtlock_proc.o: random.h

=== xmlock/Makefile ===
# $Id : Makefile.in 4.04 1997/07/10 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ..

BITMAPDIR = $(top_srcdir)/bitmaps/
XMLOCKDIR = $(top_srcdir)/xmlock/

N=
O=.o
#O=.obj
C=.c
#C=.cc
S=$(N) $(N)
#S=,
E=
#E=.exe

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code

####################################################################
# List of object files
XMLOCKOBJS = option$(O)$(S)xmlock$(O)

# List of source files
XMLOCKSRCS = $(VPATH)/option$(C) $(VPATH)/xmlock$(C)

# default target
all : 

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

CONFIGDIR = $(srcdir)/config/

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTPGMFLAGS = -s -g shadow -m 2111

#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEFS = -DHAVE_CONFIG_H $(DEFINES)
XMLOCKINC =  -I/usr/include -I.. -I$(top_srcdir)
CFLAGS = -O2 -g
#CFLAGS = -O
#CFLAGS = -g
XMLOCKLDFLAGS = 
XLIBS = 
XMLOCKLIBS =  -L/usr/lib -L/usr/lib -lXpm -lXmu -lXt  -lX11
#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

xmlock : $(XMLOCKOBJS)
	$(PURIFY) $(CC) -o $@ $(XMLOCKOBJS) $(XMLOCKLDFLAGS) $(XMLOCKLIBS)
	@ $(ECHO) "$@ BUILD COMPLETE"
	@ $(ECHO) ""

.SUFFIXES : $(C) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XMLOCKINC) $(CFLAGS) $<

install : 

install_xmlock : install-program install-man install-ad
	@ $(ECHO) "$@ COMPLETE"
	@ $(ECHO) ""

install-program : xmlock
	$(top_srcdir)/mkinstalldirs $(bindir)
	$(INSTALL_PROGRAM) xmlock$(E) $(bindir)

install-man :

install-ad :
	$(top_srcdir)/mkinstalldirs $(xapploaddir)
	$(INSTALL_DATA) $(top_srcdir)/xmlock/XmLock.ad $(xapploaddir)/XmLock

uninstall : 

uninstall_xmlock : uninstall-program uninstall-man uninstall-ad

uninstall-program :
	$(RM) $(bindir)/xmlock$(E)

uninstall-man :

uninstall-ad :
	$(RM) $(xapploaddir)/XmLock

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

lint :
	$(LINT) -ax -DLINT $(DEFS) $(XMLOCKINC) $(XMLOCKSRCS)

antic :
	antic $(XMLOCKDIR)*.h $(XMLOCKDIR)*.c

cppcheck :
	cppcheck -f -q $(XMLOCKDIR)*.c

xrdb :
	xrdb $(top_srcdir)/xmlock/XmLock.ad

man :

html :

hlp :

clean :
	$(RM) *.o core *~ *% *.bak *.orig *.rej *.patch .pure
	$(RM) make.log MakeOut Makefile.dep
	$(RM) xmlock xmlock.exe

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XMLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                 \
	$(XMLOCKSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package. -w 0
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XMLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                 \
	$(XMLOCKSRCS) |                                                     \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@\.\./bitmaps@$$(BITMAPDIR)@g' ;                         \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

option.o: option.h
xmlock.o: ../config.h
xmlock.o: option.h
xmlock.o: $(BITMAPDIR)/m-xlock.xbm
xmlock.o: modes.h

=== modes/glx/Makefile ===
# $Id : Makefile.in 5.24 2007/01/18 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ../..

PIXMAPDIR = $(top_srcdir)/pixmaps/
UTILDIR = $(top_srcdir)/xlock/
MODEDIR = $(top_srcdir)/modes/
GLDIR = $(top_srcdir)/modes/glx/
top_objdir = ../../
UTILOBJDIR = ../../xlock/
MODEOBJDIR = ../
GLOBJDIR = ./

N=
O=.o
#O=.obj
C=.c
CX=.cc
S=$(N) $(N)
#S=,
M=.xlk
E=
#E=.exe

DU = $(UTILDIR)
DOU = $(UTILOBJDIR)
DG = $(GLDIR)
DOG = $(GLOBJDIR)
OU = $(O)$(S)$(DOU)
OG = $(O)$(S)$(DOG)
CU = $(C) $(DU)
CG = $(C) $(DG)
CXG = $(CX) $(DG)

# please define
# C as the C source code extension
# CX as the C++ source code extension
# O as the object extension
# S as the separator for object code

##XLOCKUNSTABLEGLOBJS =
INVERTOBJS = $(DOG)i_figureeight$(O)$(S)\
$(DOG)i_linkage$(OG)i_sphere$(OG)i_spline$(O)$(S)\
$(DOG)i_threejet$(OG)i_threejetvec$(O)$(S)\
$(DOG)i_twojet$(OG)i_twojetvec$(O)
XLOCKDEPCPPGLOBJS = $(INVERTOBJS)
XLOCKMULTCPPGLOBJS = $(DOG)invert$(O)
#XLOCKTEXTGLOBJS = $(DOG)text3d$(O)
#XLOCKTEXT2GLOBJS = $(DOG)text3d2$(O)
SPROINGIESOBJS = $(DOG)buildlwo$(OG)sproingiewrap$(OG)s1_b$(O)$(S)\
$(DOG)s1_1$(OG)s1_2$(OG)s1_3$(OG)s1_4$(OG)s1_5$(OG)s1_6$(O)
ATLANTISOBJS = $(DOG)dolphin$(OG)shark$(OG)swim$(OG)whale$(O)
ATUNNELSOBJS = $(DOG)tunnel_draw$(O)
BUBBLE3DOBJS = $(DOG)b_draw$(OG)b_sphere$(OG)b_lockglue$(O)
GLPLANETOBJS = $(DOG)sphere$(O)
MOLECULEOBJS = $(DOG)tube$(OG)sphere$(O)
JUGGLER3DOBJS = $(DOG)tube$(OG)sphere$(OG)rotator$(O)$(S)\
$(DOG)glxfonts$(OG)gltrackball$(OG)trackball$(O)
XLOCKDEPGLOBJS = $(DOG)xpm-ximage$(OG)pipeobjs$(O)$(S)\
$(SPROINGIESOBJS)$(S)$(ATLANTISOBJS)$(S)$(ATUNNELSOBJS)$(S)\
$(BUBBLE3DOBJS)$(S)$(JUGGLER3DOBJS)$(S)$(XLOCKDEPCPPGLOBJS)
XLOCKNORMGLOBJS = $(DOG)biof$(OG)cage$(OG)gears$(O)$(S)\
$(DOG)moebius$(OG)morph3d$(OG)noof$(OG)rubik$(O)$(S)\
$(DOG)sierpinski3d$(OG)skewb$(OG)stairs$(OG)superquadrics$(O)$(S)\
$(XLOCKTEXTGLOBJS)$(S)\
$(XLOCKTEXT2GLOBJS)$(S)$(XLOCKUNSTABLEGLOBJS)
XLOCKMULTGLOBJS = $(DOG)fire$(OG)lament$(OG)sballs$(OG)molecule$(O)$(S)\
$(DOG)pipes$(OG)sproingies$(OG)atlantis$(OG)atunnels$(O)$(S)\
bubble3d$(OG)glplanet$(OG)juggler3d$(O)$(S)$(XLOCKMULTCPPGLOBJS)
XLOCKGLOBJS = $(XLOCKNORMGLOBJS)$(S)\
$(XLOCKDEPGLOBJS)$(S)$(XLOCKMULTGLOBJS)
# default target
all : $(XLOCKGLOBJS)

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format
#CXX = g++ -fpermissive
#CXX = g++ -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
CXX = g++

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEFINES = -DDEF_FILESEARCHPATH=\"$(xapploaddir)/%N%C%S:$(xapploaddir)/%N%S\"
DEFS = -DHAVE_CONFIG_H $(DEFINES)
XLOCKINC = -I. -I.. -I../.. -I$(UTILDIR) -I$(top_srcdir)  -I/usr/include -I/usr/include -I/usr/include -I/usr/include
CFLAGS = -O2 -g
CXXFLAGS = -g -O2
#CXXFLAGS = $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CFLAGS)
#CFLAGS = -O
#CFLAGS = -g

#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

.SUFFIXES : $(C) $(CX) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CFLAGS) $<

$(CX)$(O) :
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CXXFLAGS) $<

install :

install-program :

install-man :

install-ad :

uninstall :

uninstall-program :

uninstall-man :

uninstall-ad :

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

lint :

antic :
	antic $(GLDIR)*.h $(GLDIR)*.c $(GLDIR)*.cc

cppcheck :
	cppcheck -f -q $(GLDIR)*.c $(GLDIR)*.cc

xrdb :

man :

html :

hlp :

clean :
	$(RM) *.o *.xlk core *~ *% *.bak *.orig *.rej *.patch .pure
	$(RM) make.log MakeOut Makefile.dep

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKGLSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package.
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKGLSRCS) |                                                    \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@^\.\./\.\./modes/glx@$$(GLOBJDIR)@'                     \
	      -e 's@\.\./\.\./pixmaps@$$(PIXMAPDIR)@g'                      \
	      -e 's@\.\./\.\./xlock@$$(UTILDIR)@g' ;                        \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

$(GLOBJDIR)/biof.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/biof.o: $(top_objdir)/config.h
$(GLOBJDIR)/biof.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/biof.o: $(UTILDIR)/random.h
$(GLOBJDIR)/biof.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/cage.o: $(top_objdir)/config.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/random.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/cage.o: $(GLDIR)/e_textures.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/fire.o: $(top_objdir)/config.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/random.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/iostuff.h
$(GLOBJDIR)/fire.o: $(GLDIR)/xpm-ximage.h
$(GLOBJDIR)/fire.o: $(PIXMAPDIR)/ground.xpm
$(GLOBJDIR)/fire.o: $(PIXMAPDIR)/tree.xpm
$(GLOBJDIR)/gears.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/gears.o: $(top_objdir)/config.h
$(GLOBJDIR)/gears.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/gears.o: $(UTILDIR)/random.h
$(GLOBJDIR)/gears.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/juggler3d.o: $(top_objdir)/config.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/random.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/lament.o: $(top_objdir)/config.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/random.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/lament.o: $(GLDIR)/xpm-ximage.h
$(GLOBJDIR)/lament.o: $(PIXMAPDIR)/lament.xpm
$(GLOBJDIR)/moebius.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/moebius.o: $(top_objdir)/config.h
$(GLOBJDIR)/moebius.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/moebius.o: $(UTILDIR)/random.h
$(GLOBJDIR)/moebius.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/moebius.o: $(GLDIR)/e_textures.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/morph3d.o: $(top_objdir)/config.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/random.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/rubik.o: $(top_objdir)/config.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/random.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/skewb.o: $(top_objdir)/config.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/random.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sballs.o: $(top_objdir)/config.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/iostuff.h
$(GLOBJDIR)/sballs.o: $(GLDIR)/xpm-ximage.h
$(GLOBJDIR)/sballs.o: $(PIXMAPDIR)/face.xpm
$(GLOBJDIR)/sballs.o: $(PIXMAPDIR)/back.xpm
$(GLOBJDIR)/stairs.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/stairs.o: $(top_objdir)/config.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/random.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/stairs.o: $(GLDIR)/e_textures.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/superquadrics.o: $(top_objdir)/config.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/random.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/xpm-ximage.o: $(top_objdir)/config.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/random.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/buildlwo.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/buildlwo.o: $(top_objdir)/config.h
$(GLOBJDIR)/buildlwo.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/buildlwo.o: $(UTILDIR)/random.h
$(GLOBJDIR)/buildlwo.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/pipes.o: $(top_objdir)/config.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/random.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/pipes.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/pipeobjs.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/pipeobjs.o: $(top_objdir)/config.h
$(GLOBJDIR)/pipeobjs.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/pipeobjs.o: $(UTILDIR)/random.h
$(GLOBJDIR)/pipeobjs.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/sproingies.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sproingies.o: $(top_objdir)/config.h
$(GLOBJDIR)/sproingies.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sproingies.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sproingies.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sproingiewrap.o: $(top_objdir)/config.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/s1_b.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/s1_b.o: $(top_objdir)/config.h
$(GLOBJDIR)/s1_b.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/s1_b.o: $(UTILDIR)/random.h
$(GLOBJDIR)/s1_b.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/s1_1.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/s1_1.o: $(top_objdir)/config.h
$(GLOBJDIR)/s1_1.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/s1_1.o: $(UTILDIR)/random.h
$(GLOBJDIR)/s1_1.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/s1_2.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/s1_2.o: $(top_objdir)/config.h
$(GLOBJDIR)/s1_2.o: $(UTILDIR)/mode.h

=== debian/changelog ===
xlockmore (1:5.31-1) unstable; urgency=low

  * New upstream version
  * don't flush events when clearing echokeys (Closes: #517713, #517355)
  * update build-dependencies (Closes: #579031)
  * update README.Debian (Closes: #539786)
  * use DPMS for blank mode (Closes: #83413, #558695)
  * xlockmore has only blank mode, all others in xlockmore-gl

 -- Michael Stone <mstone@debian.org>  Mon, 19 Jul 2010 20:52:12 -0400

xlockmore (1:5.27-1) unstable; urgency=low

  * New upstream version
  * Change x-dev dependency to x11proto-core-dev (Closes: #515419)
  * echokeys and pam output area are cleared between pam modules
  * pam seems to be working for libpam-opie at least

 -- Michael Stone <mstone@debian.org>  Sun, 22 Feb 2009 14:22:38 -0500

xlockmore (1:5.22-1.4) unstable; urgency=low

  * Non-Maintainer Upload.
  * Fix the dh_installman call, as it should work on all the created
    packages and not only on the first one (Closes: #400781).

 -- Luca Capello <luca@pca.it>  Tue, 25 Mar 2008 19:36:15 +0100

xlockmore (1:5.22-1.3) unstable; urgency=low

  * Non-Maintainer Upload to address RG bug
  * Address FTBFS when building the package twice in a row due to improper
    cleaning (Closes: #424111)

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 17 Mar 2008 19:30:35 +0100

xlockmore (1:5.22-1.2) unstable; urgency=high

  * Non-Maintainer Upload to address RC bug
  * Add conflicts on libpam-opie and libpam-p11, mitigating a potential
    security issue (addressing: #318123, #399003)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Wed, 17 Jan 2007 01:49:41 +0100

xlockmore (1:5.22-1.1) unstable; urgency=medium

  * Non-maintainer upload, BSP Zurich/Switzerland
  * Set the mandir correctly with configure, use now dh_installman instead of
    dh_installmanpages (Closes: #384081).

 -- Mario Iseli <admin@marioiseli.com>  Sun, 08 Oct 2006 12:55:54 +0200

xlockmore (1:5.22-1) unstable; urgency=low

  * New upstream version
    - new modes deluxe & anemone
  * Fix debian/rules to remove app-defaults from new location
    (Closes: #366009)
  * Update menu file with new path (Closes: #365686)

 -- Michael Stone <mstone@debian.org>  Tue, 23 May 2006 20:41:38 -0400

xlockmore (1:5.21-3) unstable; urgency=low

  * Actually fix that...try to upload the right one this time...

 -- Michael Stone <mstone@debian.org>  Sat, 15 Apr 2006 22:21:07 -0400

xlockmore (1:5.21-2) unstable; urgency=low

  * Recompile due to what might be the stupidest transition plan I have
    ever seen in debian (Closes: #362693)

 -- Michael Stone <mstone@debian.org>  Sat, 15 Apr 2006 19:55:36 -0400

xlockmore (1:5.21-1) unstable; urgency=low

  * New upstream version (Closes: #323445)
  * Update man page concerning echokeys (Closes: #271558)
  * Integrate build-dep changes (Closes: #347050, #337467)
  * Clean up references to vtlock (Closes: #63021, #241925, #307223)
  * Bump standards version

 -- Michael Stone <mstone@debian.org>  Fri, 03 Mar 2006 20:48:16 -0500

xlockmore (1:5.13-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #347050).
  * Update build-dep on mesa to xlibmesa-gl-dev (Closes: #337467).
  * Fix security bug which allows unauthorized access to X (Closes: #318123)
    [CVE-2006-0061].

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 20:01:04 +0100

xlockmore (1:5.13-2.1) unstable; urgency=high

  * NMU
  * Applied newest patch from Eugene to avoid fatal crash when fvwm
    switches virtual desktop. (closes: #309760) [CVE-2006-0062]

 -- Kenshi Muto <kmuto@debian.org>  Mon, 23 May 2005 11:30:18 +0000

xlockmore (1:5.13-2) unstable; urgency=low

  * Correct instructions for dpkg-statoverride in README.Debian
  * Update copyright file
  * rename manpages from .1x to .1

 -- Michael Stone <mstone@debian.org>  Thu, 19 Aug 2004 13:58:36 -0400

xlockmore (1:5.13-1) unstable; urgency=low

  * New upstream version
    - allows key echo (*) for password entry
  * reenable allowroot
    (See README.Debian for instructions on using this)
  * rename xresources/XLock to xresources/xlockmore
    (Closes: #233906)
  * use @include in pam configuration (Closes: #264381, #265298)
    (See README.Debian for some PAM notes)
  * standards version 3.6.1.0

 -- Michael Stone <mstone@debian.org>  Thu, 19 Aug 2004 07:04:38 -0400

xlockmore (1:5.09-1) unstable; urgency=low

  * New upstream version
    - fixes some core dumps
    - some support for pam conversations. work in progress.
    - mazes can be really big (Closes: #175667)
    - logoutButton is in man page (Closes: #171154)
  * rebuild should fix odd symbols caused by broken build environment
    (Closes: #178146)
  * enable BAD_PAM, which allows suid xlock to work with pam.
    I *strongly* recommend *not* doing this for security reasons.
  * standards version 3.6.0
  * dh_buildinfo

 -- Michael Stone <mstone@debian.org>  Sun, 10 Aug 2003 08:08:18 -0400

xlockmore (1:5.06-1) unstable; urgency=low

  * New upstream version
  * atlantis mode doesn't mind negative count (Closes: #169167)
  * autoupdate config.{sub,guess} (Closes: #159562)
  * don't allow root to unlock anymore. didn't work with current
    config anyway. if there's a groundswell of demand for this
    I might try to get it working. (Closes: #119765)
  * button logout can be more than 10 minutes (Closes: #171978)
  * char signedness error is corrected (Closes: #177290)

 -- Michael Stone <mstone@debian.org>  Sun, 09 Feb 2003 09:54:11 -0500

xlockmore (1:5.04-1) unstable; urgency=low

  * New upstream version

 -- Michael Stone <mstone@debian.org>  Tue, 27 Aug 2002 10:50:22 -0400

xlockmore (1:5.02-2) unstable; urgency=low

  * corrected Debian GNU/Linux in copyright
  * conflicts with older xbase (for xresources support)

 -- Michael Stone <mstone@debian.org>  Tue, 15 Jan 2002 10:06:14 -0500

xlockmore (1:5.02-1) unstable; urgency=low

  * New upstream version
  * Corrected XLock resources location in README.Debian


=== debian/control ===
Source: xlockmore
Section: x11
Maintainer: Michael Stone <mstone@debian.org>
Standards-Version: 3.9.0.0
Priority: optional
Build-Depends:  libgl1-mesa-dev, libx11-dev, libxdmcp-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libglu1-mesa-dev, perl, libpam0g-dev, debhelper, dh-buildinfo, dpatch

Package: xlockmore-gl
Architecture: any
Depends: ${shlibs:Depends}
Suggests: fortune
Recommends: libpam-modules
Conflicts: xlockmore
Replaces: xlockmore
Provides: xlockmore
Priority: optional
Description: Lock X11 display until password is entered -- GL version
 xlock locks the X server till the user enters his/her password at the
 keyboard.  While xlock is running, all new server connections are
 refused. The mouse cursor is turned off.  The screen is blanked and a
 changing pattern is put on the screen. If a key or a mouse button is
 pressed then the user is prompted for the password of the user who
 started xlock.
 .
 This version is built with graphical modes. The companion package 
 xlockmore does not contain them. This is the only difference between 
 the two packages.

Package: xlockmore
Architecture: any
Depends: ${shlibs:Depends}
Suggests: fortune
Recommends: libpam-modules
Conflicts: xlockmore-gl
Replaces: xlockmore-gl
Priority: extra
Description: Lock X11 display until password is entered.
 xlock locks the X server till the user enters his/her password at the
 keyboard.  While xlock is running, all new server connections are
 refused. The mouse cursor is turned off.  The screen is blanked and a
 changing pattern is put on the screen. If a key or a mouse button is
 pressed then the user is prompted for the password of the user who
 started xlock.
 .
 This version is built with only blank mode, the companion package 
 xlockmore-gl contains them. This is the only difference between the 
 two packages.
